%global momorel 4

# Review bug: https://bugzilla.redhat.com/479723
%define gitver      1.6.3.3
%define cachedir    %{_localstatedir}/cache/cgit
%define scriptdir   %{_localstatedir}/www/cgi-bin
%define cgitdata    %{_datadir}/cgit

%define make_cgit \
export CFLAGS="%{optflags}" \
make V=1 %{?_smp_mflags} \\\
     DESTDIR=%{buildroot} \\\
     INSTALL="install -p"  \\\
     CACHE_ROOT=%{cachedir} \\\
     CGIT_SCRIPT_PATH=%{scriptdir} \\\
     CGIT_SCRIPT_NAME=cgit \\\
     CGIT_DATA_PATH=%{cgitdata}

Name:           cgit
Version:        0.8.2.1
Release:        %{momorel}m%{?dist}
Summary:        A fast webinterface for git

Group:          Development/Tools
License:        GPLv2
URL:            http://hjemli.net/git/cgit/
Source0:        http://hjemli.net/git/cgit/snapshot/cgit-%{version}.tar.bz2
#NoSource:	0
Source1:        http://www.kernel.org/pub/software/scm/git/git-%{gitver}.tar.bz2
NoSource:	1
Source2:        cgitrc
Source3:        cgit.httpd
Source4:        README.SELinux
# Applied upstream stable branch (4ac89ec and d529c6f)
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if 0%{?fedora}
BuildRequires:  libcurl-devel
%else
BuildRequires:  curl-devel
%endif
BuildRequires:  openssl-devel
Requires:       httpd

%description
This is an attempt to create a fast web interface for the git scm,
using a builtin cache to decrease server io-pressure.

%prep
%setup -q -a 1

# setup the git dir
rm -rf git
mv git-%{gitver} git
sed -i 's/^\(CFLAGS = \).*/\1%{optflags}/' git/Makefile

# add README.SELinux
cp -p %{SOURCE4} .


%build
%{make_cgit}


%install
rm -rf %{buildroot}
%{make_cgit} install
install -d -m0755 %{buildroot}%{_sysconfdir}/httpd/conf.d
install -p -m0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/cgitrc
install -p -m0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/httpd/conf.d/cgit.conf
install -d -m0755 %{buildroot}%{cachedir}

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING README* cgitrc.5.txt
%config(noreplace) %{_sysconfdir}/cgitrc
%config(noreplace) %{_sysconfdir}/httpd/conf.d/cgit.conf
%dir %attr(-,apache,root) %{cachedir}
%{cgitdata}
%{scriptdir}/*


%changelog
* Wed Jun 24 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.2.1-4m)
- update gitver to 1.6.3.3

* Mon May 18 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.2.1-3m)
- update gitver to 1.6.3.1

* Fri May  8 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.2.1-2m)
- update gitver to 1.6.3

* Fri May  1 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.2.1-1m)
- update to 0.8.2.1
- update gitver to 1.6.2.4

* Tue Apr 07 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.2-3m)
- rebuild against openssl-0.9.8k

* Wed Mar  4 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.2-2m)
- update gitver to 1.6.2

* Tue Feb 17 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.2-1m)
- update to 0.8.2
- No NoSource
- update gitver to 1.6.1.3
- drop imported Patch0

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.1-2m)
- rebuild against rpm-4.6

* Thu Jan 15 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.1-1m)
- import from Fedora to Momonga
- update gitver to 1.6.1

* Mon Jan 12 2009 Todd Zullinger <tmz@pobox.com> - 0.8.1-1
- Initial package
